{
  "certificate-config": {
    "reloader-relpath": "tools/webstation_crt_reload.sh"
  },
  "data-share": {
    "shares": [
      {
        "name": "web",
        "permission": {
          "ro": [
            "http"
          ]
        },
        "strong-dependence": true
      },
      {
        "name": "web_packages",
        "permission": {
          "group_ro": [
            "http"
          ],
          "ro": [
            "http"
          ]
        },
        "strong-dependence": true
      }
    ]
  },
  "feasibility-config": {
    "configs": [
      {
        "check-type": "package_stop",
        "name": "check_web_package.sh",
        "plugin-relpath": "feasibility_checks/check_web_package_stop.sh",
        "task": "This action will cause some functionalities (Default Backend, Personal Website or Virtual Host) of WebStation behave abnormally. If you wish to continue, please click Yes.",
        "task_i18n": "SYNO.SDS.WebStation.Application:app:support_backend_stop_warning",
        "type": "soft-check",
        "version": 1
      },
      {
        "check-type": "package_uninstall",
        "name": "check_web_package.sh",
        "plugin-relpath": "feasibility_checks/check_web_package_stop.sh",
        "task": "This action will cause some functionalities (Default Backend, Personal Website or Virtual Host) of WebStation behave abnormally. If you wish to continue, please click Yes.",
        "task_i18n": "SYNO.SDS.WebStation.Application:app:support_backend_stop_warning",
        "type": "soft-check",
        "version": 1
      },
      {
        "check-type": "share_transform",
        "name": "check_web_package.sh",
        "plugin-relpath": "feasibility_checks/check_share.sh",
        "task": "This action will disable WebStation Personal Website.",
        "task_i18n": "SYNO.SDS.WebStation.Application:app:userdir_stop_warning",
        "type": "soft-check",
        "version": 1
      },
      {
        "check-type": "share_umount",
        "name": "check_web_package.sh",
        "plugin-relpath": "feasibility_checks/check_share.sh",
        "task": "This action will disable WebStation Personal Website.",
        "task_i18n": "SYNO.SDS.WebStation.Application:app:userdir_stop_warning",
        "type": "soft-check",
        "version": 1
      },
      {
        "check-type": "home_disable",
        "name": "userdir_home_service_disable",
        "plugin-relpath": "feasibility_checks/check_userdir.sh",
        "task": "This action will disable WebStation Personal Website.",
        "task_i18n": "SYNO.SDS.WebStation.Application:app:personal_page",
        "type": "soft-check",
        "version": 1
      }
    ]
  },
  "indexdb": {
    "app-index": {
      "conf-relpath": "ui/index.conf",
      "db-relpath": "indexdb/appindexdb"
    },
    "help-index": {
      "conf-relpath": "ui/helptoc.conf",
      "db-relpath": "indexdb/helpindexdb"
    }
  },
  "sdk-plugin": {
    "plugins": [
      {
        "event": "share_set",
        "relpath": "tools/webstation_shareset.sh"
      },
      {
        "event": "dirsvs_join",
        "relpath": "tools/apache.sh"
      },
      {
        "event": "share_transform",
        "relpath": "tools/webstation_sharetransform.sh"
      },
      {
        "event": "share_mount_action",
        "relpath": "tools/webstation_shareumount.sh"
      },
      {
        "event": "timezone_change",
        "relpath": "tools/php_timezone_change.sh"
      },
      {
        "event": "package_start",
        "relpath": "tools/webstation_pkg_start_change.sh",
        "timing": "from_startup_to_halt"
      },
      {
        "event": "package_install",
        "relpath": "tools/webstation_pkg_install_change.sh",
        "timing": "from_startup_to_halt"
      },
      {
        "event": "package_uninstall",
        "relpath": "tools/webstation_pkg_install_change.sh",
        "timing": "from_startup_to_halt"
      },
      {
        "event": "user_home_service",
        "relpath": "tools/webstation_personal_web"
      }
    ]
  },
  "synocrond": {
    "conf": "cron/webstation.conf"
  },
  "synolog": {
    "app": {
      "config": "synolog/config",
      "event": "synolog/event"
    }
  },
  "syslog-config": {
    "logrotate-relpath": "misc/logrotate.conf",
    "patterndb-relpath": "misc/syslog.conf"
  },
  "sysnotify": {
    "texts_dir": "ui/texts"
  },
  "systemd-unit": {},
  "userdata-collector": {
    "configs": [
      {
        "relpath": "tools/webstation.config"
      }
    ]
  },
  "usr-local-linker": {
    "bin": [
      "usr/local/bin/htdigest",
      "usr/local/bin/htpasswd"
    ]
  },
  "webapi-desc": {
    "apis": [
      {
        "api-dir": "webapi",
        "lib": [
          "webapi/SYNO.WebStation.lib"
        ],
        "type": "webapi"
      }
    ]
  },
  "worker-plugin": {
    "plugins": [
      {
        "acquire": "postinst",
        "api-version": {
          "major": 1,
          "minor": 0
        },
        "id": "webservice",
        "release": "postuninst",
        "relpath": "worker/libwebserviceinstallworker.so"
      },
      {
        "acquire": "enable",
        "api-version": {
          "major": 1,
          "minor": 0
        },
        "id": "webservice",
        "release": "disable",
        "relpath": "worker/libwebserviceenableworker.so"
      }
    ]
  }
}